Page MenuHomeFreeBSD

Copy capabilities to new fd after accept(2).
ClosedPublic

Authored by oshogbo on Aug 31 2016, 6:41 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

oshogbo updated this revision to Diff 19886.Aug 31 2016, 6:41 PM
oshogbo retitled this revision from to Copy capabilities to new fd after accept(2)..
oshogbo updated this object.
oshogbo edited the test plan for this revision. (Show Details)
oshogbo updated this object.Aug 31 2016, 7:14 PM
emaste added inline comments.Aug 31 2016, 11:35 PM
sys/kern/uipc_syscalls.c
90–92 ↗(On Diff #19886)

can you update the comment to describe the new arg

oshogbo updated this revision to Diff 19952.Sep 1 2016, 7:58 PM
oshogbo changed the visibility from "All Users" to "Public (No Login Required)".

Add comment requested by emaste@.

emaste edited edge metadata.Sep 5 2016, 11:59 PM

I agree with the change but would still like to think about the locking some more

emaste added inline comments.Sep 6 2016, 6:14 PM
sys/kern/uipc_syscalls.c
121 ↗(On Diff #19952)

Discussed with oshogbo on IRC; we get here when havecaps != NULL and ioctls are encountered.

oshogbo updated this revision to Diff 20282.Sep 12 2016, 10:49 PM
oshogbo edited edge metadata.
oshogbo marked an inline comment as done.

After r305756 we can do that much simpler ;)

oshogbo updated this revision to Diff 20283.Sep 12 2016, 10:51 PM

I miss comment which was suggested by @emaste.

Indeed, much more clear after rS305756

jonathan accepted this revision.Sep 21 2016, 7:27 PM
jonathan edited edge metadata.

Agreed: this change makes perfect sense to me after rS305756.

This revision is now accepted and ready to land.Sep 21 2016, 7:27 PM
This revision was automatically updated to reflect the committed changes.
oshogbo marked an inline comment as done.